Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.handler
Class HandlerWrapper

    java.lang.Object
      org.jboss.webservice.handler.HandlerWrapper

All Implemented Interfaces:
  javax.xml.rpc.handler.Handler

public class HandlerWrapper
extends Object
implements javax.xml.rpc.handler.Handler

A wrapper arround a `Handler` that takes care of its lifecycle.

Author:
  thomas.diesler@jboss.org

Field Summary
`static int` | `DOES_NOT_EXIST`
`static int` | `METHOD_READY`

Constructor Summary
`HandlerWrapper(javax.xml.rpc.handler.Handler handler)` Delegate to the given handler

Method Summary
`void` | `destroy()` The destroy method indicates the end of lifecycle for a Handler instance.
`javax.xml.namespace.QName[]` | `getHeaders()` Gets the header blocks processed by this Handler instance.
`int` | `getState()` Get the current state
`String` | `getStateAsString()` Get the current state as string
`boolean` | `handleFault(javax.xml.rpc.handler.MessageContext msgContext)` The handleFault method processes the SOAP faults based on the SOAP message processing model.
`boolean` | `handleRequest(javax.xml.rpc.handler.MessageContext msgContext)` The handleRequest method processes the request message.
`boolean` | `handleResponse(javax.xml.rpc.handler.MessageContext msgContext)` The handleResponse method processes the response SOAP message.
`int` | `hashCode()` Returns a hash code value for the object.
`void` | `init(javax.xml.rpc.handler.HandlerInfo config)` The init method enables the Handler instance to initialize itself.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DOES_NOT_EXIST

    public static final int DOES_NOT_EXIST

See Also:
  Constant Field Values

### METHOD_READY

    public static final int METHOD_READY

See Also:
  Constant Field Values

Constructor Detail

### HandlerWrapper

    public HandlerWrapper(javax.xml.rpc.handler.Handler handler)

  Delegate to the given handler

Method Detail

### getState

    public int getState()

  Get the current state

### getStateAsString

    public String getStateAsString()

  Get the current state as string

### getHeaders

    public javax.xml.namespace.QName[] getHeaders()

  Gets the header blocks processed by this Handler instance.

  Specified by:
    `getHeaders` in interface `javax.xml.rpc.handler.Handler`

### init

    public void init(javax.xml.rpc.handler.HandlerInfo config)
              throws javax.xml.rpc.JAXRPCException

  The init method enables the Handler instance to initialize itself.

  Specified by:
    `init` in interface `javax.xml.rpc.handler.Handler`
  Throws:
    `javax.xml.rpc.JAXRPCException`

### destroy

    public void destroy()
                 throws javax.xml.rpc.JAXRPCException

  The destroy method indicates the end of lifecycle for a Handler instance.

  Specified by:
    `destroy` in interface `javax.xml.rpc.handler.Handler`
  Throws:
    `javax.xml.rpc.JAXRPCException`

### handleRequest

    public boolean handleRequest(javax.xml.rpc.handler.MessageContext msgContext)
                          throws javax.xml.rpc.JAXRPCException,
                                 javax.xml.rpc.soap.SOAPFaultException

  The handleRequest method processes the request message.

  Specified by:
    `handleRequest` in interface `javax.xml.rpc.handler.Handler`
  Throws:
    `javax.xml.rpc.JAXRPCException`
    `javax.xml.rpc.soap.SOAPFaultException`

### handleResponse

    public boolean handleResponse(javax.xml.rpc.handler.MessageContext msgContext)

  The handleResponse method processes the response SOAP message.

  Specified by:
    `handleResponse` in interface `javax.xml.rpc.handler.Handler`

### handleFault

    public boolean handleFault(javax.xml.rpc.handler.MessageContext msgContext)

  The handleFault method processes the SOAP faults based on the SOAP message processing model.

  Specified by:
    `handleFault` in interface `javax.xml.rpc.handler.Handler`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

### toString

    public String toString()

  Returns a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.